Operations Management/Tenant Management (Plus)/Organization Operations
PUTOrganization OperationsSince 2.4.0SynchronousAuth Required
UpdateIAM2Organization
UpdateIAM2Organization
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe resource UUID.
Body Fields
updateiam2organizationObjectRequiredupdateiam2organization request body object.
nameStringOptional. The resource name.
descriptionStringOptional. The detailed description of the resource.
parentUuidStringOptional.
typeOrganizationTypeOptional.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/iam2/organizations/{uuid}/actions
/zstack/v1/iam2/organizations/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/iam2/organizations/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updateiam2organization":{"name":"<name>","description":"<description>","parentUuid":"<parentUuid>","type":"<type>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "3f0315c83d524c0fa0da9be22c1cd58e", "name": "org1", "state": "Enabled", "type": "Company", "parentUuid": "8b15e39fb62a43089610103be30c17b5", "attributes": [ { "uuid": "5dd14ca022554b22938d94c27de872fb", "name": "attribute-name", "value": "attribute-value", "type": "Customized" } ] } }Change History
This API has no change history records yet.
